<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
include ('../inc/cartfunctions.php');
?>
<?php 
function get_pupidsl_count($pid){
if(isset($_SESSION['axes_purchase'])){
$max=count($_SESSION['axes_purchase']);
$sum=0;
$qty=0;
for($i=0;$i<$max;$i++){
$qty=$_SESSION['axes_purchase'][$i]['qty'];
$epid=$_SESSION['axes_purchase'][$i]['pid'];
if($pid==$epid){
$sum+=$qty;
}
}
if($sum > 0){
return $sum;
}else{
return 0;    
}
}else{
return 0;        
}	
}

function get_puslpid_count($pid){
if(isset($_SESSION['axes_purse'])){
$max=count($_SESSION['axes_purse']);
$sum=0;
for($i=0;$i<$max;$i++){
$epid=$_SESSION['axes_purse'][$i]['pid'];
if($pid==$epid){
$sum+=1;
}    
}
return $sum;    
}else{
return 0;    
}
}
    
function pid_puslexits($pid){   
$max=count($_SESSION['axes_purse']);
$flag=0;    
for($i=0;$i<$max;$i++){
if($pid==$_SESSION['axes_purse'][$i]['pid']){
$flag=1;    
break;    
}    
}
return $flag;    
}

function remove_puslpid($pid,$dmax){
$c=0;    
$max=count($_SESSION['axes_purse']);
for($i=($max-1);$i>=0;$i=$i-1){    
if($pid==$_SESSION['axes_purse'][$i]['pid']){
$c+=1;    
unset($_SESSION['axes_purse'][$i]);
if($c==$dmax){
break;    
}     
}    
}
$_SESSION['axes_purchase']=array_values($_SESSION['axes_purchase']);    
}
?>
<table class="table table-bordered table-striped">
<?php if(get_mobile_count()>0){ ?>
<tr>
<?php 
$max=count($_SESSION['axes_purchase']);
for($i=0;$i<$max;$i++){
if($_SESSION['axes_purchase'][$i]['imei']>=1){
    $pid=$_SESSION['axes_purchase'][$i]['pid'];
    $check=$_SESSION['axes_purchase'][$i]['check'];   

    $rcheck=$_SESSION['axes_purchase'][$i]['check'];  

    $qty=$_SESSION['axes_purchase'][$i]['qty'];    
    $eqty=get_pupidsl_count($pid);
    if(isset($_SESSION['axes_purse'])){    
        if(pid_puslexits($pid)){
            $dmax=0;    
            $sqty=get_puslpid_count($pid);
            if($sqty!=$eqty){
                if($sqty<$eqty){
                    $dmax=($eqty-$sqty);   
                    for($p=0;$p<$dmax;$p++){
                    add_purserial($pid,'','M');        
                    }   
                }elseif($sqty>$eqty){
                    $dmax=($sqty-$eqty);    
                    remove_puslpid($pid,$dmax);    
                }        
            }    
        }else{
            add_purserial($pid,'','M');    
        }
    }else{
        add_purserial($pid,'','M');    
    }    
}        
}    
?>
<td colspan="4" align="center"></td>
</tr>
<tr>
<th width="30px" align="center">#</th>
<th width="300px">Name</th>
<th width="170px">IMEI/Serial</th>
<th width="25px" align="center"><i class="fa fa-trash"></i></th>
</tr> 

<tr>
    <td align="center">RSME</td>
    <td colspan="2" align="center">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">  
                    <div class="input-group">
                        <span class="input-group-addon">ST</span>    
                        <input type="text" maxlength="35" class="form-control rstart" id="rstart" value="" autocomplete="off">    
                    </div>
                </div>    
            </div>
            <div class="col-md-6">
                <div class="form-group">  
                    <div class="input-group">
                        <span class="input-group-addon">EN</span>    
                        <input type="text" maxlength="35" class="form-control" id="rend" value="" autocomplete="off">
                    </div>
                </div>    
            </div>    
        </div>    
    </td>
</tr>

<?php } ?>
<?php
if(isset($_SESSION['axes_purse'])){
usort($_SESSION['axes_purse'], function ($a, $b) {
return $a['cartid'] <=> $b['cartid'];
});    
if(is_array($_SESSION['axes_purse'])){
?>	
<?php
$s=0;
$max=count($_SESSION['axes_purse']);
for($i=($max-1);$i>=0;$i=$i-1){ ?>
<?php if($_SESSION['axes_purse'][$i]['reumei']>=1){
$requ=1;	
}else{
$requ=0;	
}
?>
<?php $s=$s+1; ?>

<tr>
<td align="center"><?php echo $s; ?></td>
<td <?php if($requ){echo 'style="color:red;"';}?>><?php echo $_SESSION['axes_purse'][$i]['name']; ?></td>
<td><input type="text" name="imei_<?php echo $i; ?>" maxlength="45" class="form-control imei" id="imei_<?php echo $i; ?>" value="<?php echo $_SESSION['axes_purse'][$i]['imei']; ?>"  size="2" style="height: 24px;" autocomplete="off"/></td>
<td align="center"><a id="<?php echo $i; ?>" class="slremove"><span style="cursor: pointer;" class="fa fa-times"></span></a></td>
</tr>
<?php } ?>	
<?php }else{ ?>
<tr>
<td colspan="4" align="center">No IMEI/Serial Information!</td>
</tr> 
<?php } ?> 
<?php }else{ ?>
<tr><td colspan="4" align="center">No IMEI/Serial Information!</td>
</tr>
<?php } ?>
</table>